%define builtin_release_version 1.0
%ifarch i386
	%define builtin_release_name "koumei SP3"
%endif
%ifarch x86_64
	%define builtin_release_name mars SP3
%endif
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define beta_release ""
Summary: Asianux release file
Name: asianux-release
Version: %{real_release_version}
Release: 25AX
Copyright: GPL
Source1: RPM-GPG-KEY
Source2: EULA.ja
Source3: EULA.zh_CN
Source4: README
Source5: EULA
Source6: GPL
Source7: INSTALLATION
Source8: RPM-GPG-KEY-x86_64
Source9: README-x86_64
Source10:INSTALLATION-x86_64
Source11: supportinfo
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386 x86_64

%description
Asianux release file

%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Asianux release %{builtin_release_version} (%{real_release_name})%{beta_release}" > $RPM_BUILD_ROOT/etc/%{name}
cp $RPM_BUILD_ROOT/etc/%{name} $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
mkdir -p $RPM_BUILD_ROOT//usr/share/doc/%{name}
%ifarch i386
	cp -f %{SOURCE1} $RPM_BUILD_ROOT//usr/share/doc/%{name}
%else
	cp -f %{SOURCE1} $RPM_BUILD_ROOT//usr/share/doc/%{name}/RPM-GPG-KEY.ia32
%endif
cp -f %{SOURCE2} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE3} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE4} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE5} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE6} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE7} $RPM_BUILD_ROOT//usr/share/doc/%{name}
%ifarch x86_64
	cp -f %{SOURCE8} $RPM_BUILD_ROOT//usr/share/doc/%{name}/RPM-GPG-KEY
	cp -f %{SOURCE9} $RPM_BUILD_ROOT//usr/share/doc/%{name}/README
	cp -f %{SOURCE10} $RPM_BUILD_ROOT//usr/share/doc/%{name}/INSTALLATION
%endif
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/var/lib/
cp -f %{SOURCE11} $RPM_BUILD_ROOT/var/lib/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/%{name}
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%attr(0644,root,root) /usr/share/doc/%{name}/RPM-GPG-KEY
%ifarch x86_64
%attr(0644,root,root) /usr/share/doc/%{name}/RPM-GPG-KEY.ia32
%endif
%attr(0644,root,root) /usr/share/doc/%{name}/README
%attr(0644,root,root) /usr/share/doc/%{name}/EULA
%attr(0644,root,root) /usr/share/doc/%{name}/EULA.ja
%attr(0644,root,root) /usr/share/doc/%{name}/EULA.zh_CN
%attr(0644,root,root) /usr/share/doc/%{name}/GPL
%attr(0644,root,root) /usr/share/doc/%{name}/INSTALLATION
%attr(0644,root,root) /var/lib/supportinfo

%changelog
* Tue Jul 25 2006 Hua Jie <jiehua@redflag-linux.com> 1.0-25AX
- update to SP3

* Wed Feb 08 2006 Hua Jie <jiehua@redflag-linux.com> 1.0-24AX
- rebuild for SP2 release 2, so change SP2 to SP2R2

* Thu Nov 17 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-23AX
- add supportinfo

* Mon Oct 10 2005 Zhongyong Li <zylee@redflag-linux.com> 1.0-22AX
- rebuild for update2 ,for i386 architecture,we update from sp1 to sp2 ,for x86_64 architecture,we directly update it to sp2 
- modify README and INSTALLATION for i386 SP2, modify README-x86_64 and INSTALLATION-x86_64 for x86_64 SP2

* Mon Jan 10 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-21AX
- add README-x86_64 and INSTALLATION-x86_64 for x86_64
- modify README and INSTALLATION for SP1

* Mon Dec 20 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-20AX
- reuild for update1

* Mon Dec 13 2004 Zhixin Ni <zxni@redflag-linux.com> 1.0-19AX
- remove the redundant character in Chinese version statement.

* Wed Nov 24 2004 Shiro Yamada <shiro@miraclelinux.com> 1.0-18AX
- replace RPM-GPG-KEY for x86_64 with a valid one
- add RPM-GPG-KEY.ia32 for x86_64

* Tue Sep 28 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-17AX
- modify that i386 and x86_64 can use different RPM-GPG-KEY

* Wed May 26 2004 Zhixin Ni <zxni@redflag-linux.com> 1.0-16AX
- modified EULA, add a "space" between indicates and that

* Thu May 20 2004 Seiichi IKARASHI <ikarashi@miraclelinux.com> 1.0-15AX
- modified EULA.ja

* Thu May 20 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-14AX
- replaced EULA.
- added EULA.ja and EULA.zh_CN.

* Thu May 20 2004 Tatsuo Ito <tito@miraclelinux.com> 1.0-13AX
- modify README and INSTALLATION

* Thu May 20 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-12AX
- removed RELEASE-NOTES from this package.

* Wed Apr 28 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-11AX
- updated RELEASE-NOTES.

* Fri Apr 23 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-10AX
- removed beta string from release file.

* Wed Apr 21 2004 Seiichi IKARASHI <ikarashi@miraclelinux.com> 1.0-9AX
- added INSTALLATION.

* Wed Apr 7 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-8AX
- removed sys.dat.

* Wed Apr 7 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-7AX
- added a tips about nfs in RELEASE-NOTES.

* Wed Apr 7 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-6AX
- replaced some documents such as EULA, README and so on.

* Tue Apr 6 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-5AX
- for beta3.

* Thu Mar 25 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-4AX
- change some documents for beta2.
- add a file sys.dat for temporary.

* Mon Mar 22 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-3AX
- for beta2.

* Thu Mar 11 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-2AX
- add some documents.

* Wed Jan 14 2004 Hua Jie <jiehua@redflag-linux.com>
- create the package.
